Skip to main content
GET
/
lkbx
List lockbox devices
curl --request GET \
  --url https://dashboard.researchanddesire.com/api/v1/lkbx \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://dashboard.researchanddesire.com/api/v1/lkbx"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://dashboard.researchanddesire.com/api/v1/lkbx', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "data": {
    "data": [
      {
        "id": 1,
        "bubbleId": "lkbx-001",
        "macAddress": "11:22:33:44:55:66",
        "ownerId": 42,
        "locked": true,
        "hueShift": 0,
        "lastVisited": "2026-02-18T12:00:00Z",
        "lastLogAt": "2026-02-18T11:30:00Z"
      }
    ],
    "pagination": {
      "limit": 50,
      "offset": 0
    }
  }
}
{
"ok": false,
"error": "Unauthorized"
}
{
"ok": false,
"error": "Internal server error"
}

Authorizations

Authorization
string
header
required

API tokens can be created in the Dashboard settings. Requires an Ultra subscription.

Query Parameters

limit
integer
default:50

Number of records to return (default 50, max 100)

Required range: 1 <= x <= 100
Example:

50

offset
integer
default:0

Number of records to skip (default 0)

Required range: x >= 0
Example:

0

Response

List of lockbox devices

ok
boolean
required
data
object
required